import { DataType } from "ziron-engine";
import Socket from "./Socket";
import { InternalServerProcedures } from "ziron-events";
export declare type ProcedureEnd = (data?: any, processComplexTypes?: boolean) => void;
export declare type ProcedureReject = (err?: any) => void;
export declare type Procedure = (data: any, end: ProcedureEnd, reject: ProcedureReject, type: DataType) => void | Promise<void>;
export declare type StandaloneProcedure = (socket: Socket, data: any, end: ProcedureEnd, reject: ProcedureReject, type: DataType) => void | Promise<void>;
export declare type Procedures<R extends string = never> = {
    readonly [key in InternalServerProcedures]: Procedure;
} & {
    readonly [key in R]: never;
} & {
    [key: string]: Procedure | undefined;
};
export declare type StandaloneProcedures<R extends string = never> = {
    readonly [key in InternalServerProcedures]?: never;
} & {
    readonly [key in R]?: never;
} & Record<string, StandaloneProcedure>;
export declare function applyStandaloneProcedures(socket: Socket, procedures: StandaloneProcedures): void;
