import { HttpRequest } from "ziron-ws";
/**
 * @description
 * Notice that these headers are
 * only a limited set of all headers.
 */
export interface UpgradeHeaders {
    secWebSocketKey: string;
    secWebSocketProtocol: string;
    secWebSocketExtensions: string;
    origin: string;
    xForwardedFor: string;
    xForwardedPort: string;
    acceptLanguage: string;
    userAgent: string;
}
export default class UpgradeRequest<T = any> {
    readonly url: string;
    readonly query: string;
    readonly method: string;
    /**
     * @description
     * The attachment of the handshake.
     */
    readonly attachment: T;
    readonly headers: Readonly<UpgradeHeaders>;
    readonly signedToken: string | null;
    constructor(req: HttpRequest);
}
