"use strict";var __awaiter=this&&this.__awaiter||function(t,e,s,i){return new(s||(s=Promise))((function(r,n){function o(t){try{a(i.next(t))}catch(t){n(t)}}function h(t){try{a(i.throw(t))}catch(t){n(t)}}function a(t){var e;t.done?r(t.value):(e=t.value,e instanceof s?e:new s((function(t){t(e)}))).then(o,h)}a((i=i.apply(t,e||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0});const base64=require("base64id"),emitix_1=require("emitix"),ziron_errors_1=require("ziron-errors"),isIp=require("is-ip"),Utils_1=require("./Utils"),ziron_engine_1=require("ziron-engine"),MiddlewareUtils_1=require("./MiddlewareUtils"),Constants_1=require("./Constants");class Socket{constructor(t,e){this.id=base64.generateId(),this.open=!0,this.signedAuthToken=null,this.authToken=null,this.authenticated=!1,this._emitter=new emitix_1.default,this.once=this._emitter.once.bind(this._emitter),this.on=this._emitter.on.bind(this._emitter),this.off=this._emitter.off.bind(this._emitter),this._emit=this._emitter.emit.bind(this._emitter),this.procedures={"#2":this._handleAuthenticateInvoke.bind(this),"#1":this._handleSubscribeInvoke.bind(this),"#0":this._handleClientPublishInvoke.bind(this)},this.onUnknownInvoke=Constants_1.EMPTY_FUNCTION,this.receivers={"#2":this._deauthenticate.bind(this),"#0":this._handleClientPublishTransmit.bind(this),"#1":this._handleUnsubscribeTransmit.bind(this)},this.onUnknownTransmit=Constants_1.EMPTY_FUNCTION,this.subscriptions=[],this._server=t,this._socket=e,this.upgradeRequest=e.req,this.remoteAddress=Utils_1.tryGetClientIpFromHeaders(this.upgradeRequest.headers)||Buffer.from(e.getRemoteAddressAsText()).toString(),this.remoteFamily=isIp.version(this.remoteAddress)||4,this._transport=new ziron_engine_1.Transport({send:this._sendRaw.bind(this),cork:this._cork.bind(this),onListenerError:t=>this._emitter.emit("error",t),onInvalidMessage:()=>this.disconnect(4400,"Bad message"),onInvoke:this._onInvoke.bind(this),onTransmit:this._onTransmit.bind(this),hasLowSendBackpressure:this.hasLowSendBackpressure.bind(this)},this._server.transportOptions,!0),this.transmit=this._transport.transmit.bind(this._transport),this.invoke=this._transport.invoke.bind(this._transport),this.sendPackage=this._transport.sendPackage.bind(this._transport),this.flushBuffer=this._transport.buffer.flushBuffer.bind(this._transport.buffer),this.getBufferSize=this._transport.buffer.getBufferSize.bind(this._transport.buffer),t.socketConstructorExtension(this)}setAuth(t,e){const s=this.authToken;this.authToken=t,this.signedAuthToken=e,this.authenticated=null!=t,s!==t&&this._emit("authTokenChange",t,s)}get handshakeAttachment(){return this.upgradeRequest.attachment}bufferedSendAmount(){return this._socket.getBufferedAmount()}_emitClose(t,e){this._destroy(t||1001,e)}_emitMessage(t){this._transport.emitMessage(t)}_emitDrain(){this._transport.emitSendBackpressureDrain()}_cork(t){this._socket.cork(t)}_sendRaw(t,e,s){this._socket.send(t,e,this._server._shouldCompress(t,e,s))}_clearListener(){this._emitter.off()}_blockSocketInteractions(){this.transmit=Constants_1.NOT_OPEN_FAILURE_FUNCTION,this.invoke=Constants_1.NOT_OPEN_FAILURE_FUNCTION,this.sendPackage=Constants_1.NOT_OPEN_FAILURE_FUNCTION,this.bufferedSendAmount=Constants_1.NOT_OPEN_FAILURE_FUNCTION,this.hasLowSendBackpressure=Constants_1.NOT_OPEN_FAILURE_FUNCTION,this.join=Constants_1.NOT_OPEN_FAILURE_FUNCTION}_destroy(t,e){this.open=!1,this._transport.emitBadConnection(ziron_engine_1.BadConnectionType.Disconnect),this._transport.buffer.clearBuffer(),this._blockSocketInteractions(),this._emit("disconnect",t,e),this._server._emit("disconnection",this,t,e),ziron_errors_1.socketProtocolIgnoreStatuses[t]||this._emit("error",new ziron_errors_1.SocketProtocolError(ziron_errors_1.socketProtocolErrorStatuses[t]||"Socket connection closed with code: "+t+(e?` and message: ${e}.`:"."),t)),this._unsubscribeAll(),this._clearListener(),this._server._removeSocket(this)}isAuthTokenExpired(){return!(!this.authToken||null==this.authToken.exp)&&Date.now()>1e3*this.authToken.exp}_checkAuthTokenExpire(){this.isAuthTokenExpired()&&this.deauthenticate()}_deauthenticate(){this.authenticated&&this.setAuth(null,null)}deauthenticate(){this._deauthenticate(),this.transmit("#2")}authenticate(t,e){return __awaiter(this,void 0,void 0,(function*(){const s=yield this._server.auth.signToken(t,e);this.setAuth(t,s),this.transmit("#1",s)}))}disconnect(t,e){this.open&&this._socket.end(t||1e3,e)}hasLowSendBackpressure(){return this._socket.getBufferedAmount()<=this._server.lowSendBackpressureMark}_handleAuthenticateInvoke(t,e,s){return __awaiter(this,void 0,void 0,(function*(){try{yield this._processAuthToken(t,()=>e())}catch(t){s(t)}}))}_processAuthToken(t,e){return __awaiter(this,void 0,void 0,(function*(){try{const s=yield this._server.auth.verifyToken(t);this._server.authenticateMiddleware&&(yield this._server.authenticateMiddleware(this,s,t)),this.setAuth(s,t),e&&e()}catch(e){throw e&&e.badAuthToken&&this._server._emit("badSocketAuthToken",this,e,t),e}}))}_onInvoke(t,e,s,i,r){if(!this._server.ignoreFurtherInvokes){if(this._server.invokeMessageCount++,this.procedures[t])return this.procedures[t](e,s,i,r);this.onUnknownInvoke(t,e,s,i,r)}}_onTransmit(t,e,s){if(!this._server.ignoreFurtherTransmits){if(this._server.transmitMessageCount++,this.receivers[t])return this.receivers[t](e,s);this.onUnknownTransmit(t,e,s)}}kickOut(t,e){const s=this.subscriptions.indexOf(t);-1!==s&&(this._server._internalBroker.socketUnsubscribe(this,t),this.subscriptions.splice(s,1),this.transmit("#3",[t,e]))}_handleSubscribeInvoke(t,e,s){return __awaiter(this,void 0,void 0,(function*(){if("string"!=typeof t)return s(new ziron_errors_1.InvalidArgumentsError("Channel must be a string."));if(this._server._checkSocketChLimitReached(this.subscriptions.length))return s(new ziron_engine_1.InvalidActionError(`Socket ${this.id} tried to exceed the channel subscription limit of ${this._server.options.socketChannelLimit}`));if(this._server.subscribeMiddleware)try{yield this._server.subscribeMiddleware(this,t)}catch(t){return t instanceof MiddlewareUtils_1.Block?s(t):(this._server._emit("error",t),s(new MiddlewareUtils_1.Block(4403,"Subscribe was blocked by the subscribe middleware")))}this.subscriptions.includes(t)||(this._server._internalBroker.socketSubscribe(this,t),this.subscriptions.push(t)),e()}))}_handleUnsubscribeTransmit(t){return __awaiter(this,void 0,void 0,(function*(){if("string"==typeof t){const e=this.subscriptions.indexOf(t);-1!==e&&(this._server._internalBroker.socketUnsubscribe(this,t),this.subscriptions.splice(e,1))}}))}_unsubscribeAll(){const t=this.subscriptions.length;for(let e=0;e<t;e++)this._server._internalBroker.socketUnsubscribe(this,this.subscriptions[e]);this.subscriptions=[]}_handleClientPublishInvoke(t,e,s,i){return __awaiter(this,void 0,void 0,(function*(){if(!this._server.options.allowClientPublish)return e(4403);const r=(t=t||[])[0];if("string"!=typeof r)return s(new ziron_errors_1.InvalidArgumentsError("Channel must be a string."));if(this._server.publishInMiddleware)try{yield this._server.publishInMiddleware(this,r,t[1])}catch(t){return t instanceof MiddlewareUtils_1.Block?s(t):(this._server._emit("error",t),s(new MiddlewareUtils_1.Block(4403,"Publish was blocked by the publish in middleware")))}this._server._internalBroker.publish(r,t[1],0!==i,this),e()}))}_handleClientPublishTransmit(t,e){return __awaiter(this,void 0,void 0,(function*(){if(!this._server.options.allowClientPublish)return;const s=(t=t||[])[0];if("string"==typeof s){if(this._server.publishInMiddleware)try{yield this._server.publishInMiddleware(this,s,t[1])}catch(t){return void(t instanceof MiddlewareUtils_1.Block||this._server._emit("error",t))}this._server._internalBroker.publish(s,t[1],0!==e,this)}}))}publish(t,e,{processComplexTypes:s}={}){this._server._internalBroker.publish(t,e,s,this)}join(t){return this._socket.subscribe("G"+t)}hasJoined(t){return!!this.open&&this._socket.isSubscribed("G"+t)}leave(t){return!!this.open&&this._socket.unsubscribe("G"+t)}_terminate(){this.open&&this._socket.close(),this.open=!1,this._transport.buffer.clearBuffer(),this._blockSocketInteractions(),this._unsubscribeAll(),this._clearListener()}}exports.default=Socket;